#ifndef NEO_COLORS_H
#define NEO_COLORS_H

#include <NeoPixelBus.h>

#define USE_CORRECTED_COLORS 0

const RgbColor col_black(0, 0, 0);
const RgbColor col_white(255, 255, 255);
const RgbColor col_red(255, 0, 0);
const RgbColor col_green(0, 255, 0);
const RgbColor col_blue(0, 0, 255);

#if USE_CORRECTED_COLORS == 0

const RgbColor col_orange(255, 165, 0);
const RgbColor col_yellow(255, 255, 0);
const RgbColor col_cyan(0, 255, 255);
const RgbColor col_magenta(255, 0, 255);
const RgbColor col_purple(128, 0, 128);
const RgbColor col_pink(255, 192, 203);
const RgbColor col_teal(0, 128, 128);
const RgbColor col_lime(0, 255, 0);
const RgbColor col_indigo(75, 0, 130);
const RgbColor col_maroon(128, 0, 0);
const RgbColor col_navy(0, 0, 128);
const RgbColor col_olive(128, 128, 0);
const RgbColor col_beige(245, 245, 220);
const RgbColor col_brown(165, 42, 42);
const RgbColor col_coral(255, 127, 80);
const RgbColor col_gold(255, 215, 0);
const RgbColor col_gray(128, 128, 128);
const RgbColor col_ivory(255, 255, 240);
const RgbColor col_khaki(240, 230, 140);
const RgbColor col_lavender(230, 230, 250);
const RgbColor col_peach(255, 218, 185);
const RgbColor col_periwinkle(204, 204, 255);
const RgbColor col_salmon(250, 128, 114);
const RgbColor col_sienna(160, 82, 45);
const RgbColor col_silver(192, 192, 192);
const RgbColor col_tan(210, 180, 140);
const RgbColor col_turquoise(64, 224, 208);
const RgbColor col_violet(238, 130, 238);

#else

const RgbColor col_orange(255, 128, 0);
const RgbColor col_yellow(255, 255, 0);
const RgbColor col_cyan(0, 255, 255);
const RgbColor col_magenta(255, 0, 255);
const RgbColor col_purple(170, 0, 255);
const RgbColor col_pink(255, 170, 255);
const RgbColor col_teal(0, 128, 128);
const RgbColor col_lime(128, 255, 0);
const RgbColor col_indigo(85, 0, 255);
const RgbColor col_maroon(128, 0, 0);
const RgbColor col_navy(0, 0, 128);
const RgbColor col_olive(128, 128, 0);
const RgbColor col_beige(255, 230, 204);
const RgbColor col_brown(153, 51, 0);
const RgbColor col_coral(255, 102, 102);
const RgbColor col_gold(204, 153, 0);
const RgbColor col_gray(128, 128, 128);
const RgbColor col_ivory(255, 255, 204);
const RgbColor col_khaki(204, 204, 0);
const RgbColor col_lavender(204, 153, 255);
const RgbColor col_peach(255, 204, 153);
const RgbColor col_periwinkle(153, 153, 255);
const RgbColor col_salmon(255, 153, 102);
const RgbColor col_sienna(153, 76, 0);
const RgbColor col_silver(204, 204, 204);
const RgbColor col_tan(204, 153, 102);
const RgbColor col_turquoise(0, 204, 204);
const RgbColor col_violet(204, 0, 255);

#endif

#endif